FunnelFlux Pro API DocumentsFunnelFlux Pro API Documents
  • Changelog
  • Status
  • Dashboard
  • Documentation
  • Authentication
  • Domains
  • Assets
  • Reporting
Information
Traffic Sources
    List traffic sourcesgetFind traffic source by IDgetFind traffic sources by ID listgetFind traffic sources by statusgetFind traffic sources by categorygetSave traffic sourceputCreate traffic sourcepostDuplicate traffic sourcepostDelete traffic sourcedeleteArchive traffic sourcesputUnarchive traffic sourcesputMove traffic sources to a categoryput
Offer Sources
    List offer sourcesgetFind offer source by IDgetFind offer sources by ID listgetFind offer sources by statusgetFind offer sources by categorygetSave offer sourceputCreate offer sourcepostDuplicate offer sourcepostDelete offer sourcedeleteArchive offer sourcesputUnarchive offer sourcesputMove offer sources to a categoryput
Funnel Groups
    List funnel groupsgetFind funnel group by IDgetFind funnel groups by ID listgetFind funnel groups by statusgetUpdate a funnel groupputCreate a funnel grouppostDuplicate a funnel grouppostDelete a funnel groupdeleteArchive funnel groupsputList funnel groupsgetFind funnel group by IDgetFind funnel groups by ID listgetFind funnel groups by statusgetUpdate an existing funnel groupputCreate a new funnel grouppostDuplicate a funnel grouppostDelete a funnel groupdeleteArchive funnel groupsputUnarchive funnel groupsput
Funnels
    List funnelsgetFind funnel by IDgetFind funnels by ID listgetFind funnels by statusgetFind funnels by typegetFind funnels by categorygetUpdate a funnelputCreate a funnelpostDuplicate a funnelpostDelete a funneldeleteArchive a funnelputUnarchive a funnelputMove a funnelput
Conditions
    List conditionsgetFind condition by IDgetFind conditions by ID listgetFind conditions by statusgetFind conditions by categorygetUpdate a conditionputCreate a conditionpostDuplicate a conditionpostDelete a conditiondeleteArchive conditionsputUnarchive conditionsputMove conditions to a categoryput
Logic Scripts
    List logic scriptsgetFind logic script by IDgetFind logic scripts by ID listgetFind logic scripts by namegetFind logic scripts by statusgetFind logic scripts by categorygetUpdate a logic scriptputCreate a logic scriptpostDuplicate a logic scriptpostSoft-delete logic scriptsdeleteGet logic script language metadatagetValidate logic script codepostArchive logic scriptsputUnarchive logic scriptsputMove logic scripts to a categoryput
Visitor Tags
    Find visitor tag by IDgetList visitor tagsgetFind visitor tags by statusgetUpdate a visitor tagputCreate a visitor tagpostDuplicate a visitor tagpostDelete visitor tagsdeleteArchive visitor tagsputUnarchive visitor tagsputMove visitor tags to categoryput
Page Groups
    List page groupsgetFind a page group by IDgetFind page groups by ID listgetFind page groups by statusgetFind page groups by typegetUpdate a page groupputCreate a page grouppostDuplicate a page grouppostDelete a page groupdeleteArchive page groupsputUnarchive page groupsput
Pages
    List pagesgetFind a page by IDgetFind pages by ID listgetFind pages by statusgetFind pages by categorygetUpdate a pageputCreate a new pagepostDuplicate a pagepostDelete a pagedeleteArchive pagesputUnarchive pagesputMove pages to a categoryput
Categories
    List categoriesgetFind category by IDgetFind categories by ID listgetUpdate a categoryputCreate a categorypostDuplicate a categorypostDelete a categorydeleteArchive categoriesputUnarchive categoriesput
User
    Get user settingsgetSave user settingsputDelete user settingsdelete
Integration
    List integration API keysgetUpdate integration API keyputGenerate integration API keypostDelete integration API keydelete
AI Node Settings
    Update AI node settingsputCreate AI node settingspostFind AI node settings by IDgetFind AI node settings by ID listgetDelete AI node settingsdelete
Webhook Configs
    List webhook configsgetFind webhook config by IDgetFind webhook configs by ID listgetSave webhook configputCreate webhook configpostDelete webhook configdeleteDuplicate webhook configpostArchive webhook configsputUnarchive webhook configsputMove webhook configs to categoryput
Schemas
FunnelFlux Assets API
FunnelFlux Assets API

Webhook Configs

Download schema

API endpoints to manage webhook configurations


List webhook configs

GET
https://api.funnelflux.pro/v1
/webhookconfig/list/

Retrieve webhook configurations by lifecycle status and optional category.

List webhook configs › query Parameters

status
​string · enum · required

Status of resource

Enum values:
active
archived
not-deleted
all
idCategory
​string

Optional category ID to filter by

List webhook configs › Responses

List of webhook configs

​WebhookConfigInfo[]
WebhookConfigInfo
idWebhookConfig
​string · required
webhookConfigName
​string · required
status
​string · enum
Enum values:
active
archived
deleted
targetType
​string · enum
Enum values:
custom
zapier
make
pipedream
n8n
tray_io
ifttt
aws_lambda
enabled
​boolean
idCategory
​string

Category ID. Empty if uncategorized

Default:
categoryName
​string
GET/webhookconfig/list/
curl --request GET \ --url 'https://api.funnelflux.pro/v1/webhookconfig/list?status=%3Cstring%3E'
Example Responses
[ { "idWebhookConfig": "idWebhookConfig", "webhookConfigName": "webhookConfigName", "status": "active", "targetType": "custom", "enabled": true, "idCategory": "", "categoryName": "categoryName" } ]
json
application/json

Find webhook config by ID

GET
https://api.funnelflux.pro/v1
/webhookconfig/find/byId/

Retrieve a webhook configuration by ID.

Find webhook config by ID › query Parameters

idWebhookConfig
​string · required

The ID of the webhook config

Find webhook config by ID › Responses

The requested webhook config

WebhookConfigRead
idWebhookConfig
​string · required

ID of the webhook configuration

webhookConfigName
​string · minLength: 1 · maxLength: 256 · required

Webhook config's name.

description
​string
idCategory
​string

Category ID. Empty if uncategorized

Default:
status
​string · enum
Enum values:
active
archived
deleted
Default: active
enabled
​boolean

Whether delivery is enabled for this webhook config

Default: true
targetType
​string · enum
Enum values:
custom
zapier
make
pipedream
n8n
tray_io
ifttt
aws_lambda
Default: custom
url
​string

Absolute webhook destination URL

​object

Additional request headers for webhook delivery

​WebhookBasicAuthRead

Basic auth read model. Password is write-only and never returned by REST read endpoints.

GET/webhookconfig/find/byId/
curl --request GET \ --url 'https://api.funnelflux.pro/v1/webhookconfig/find/byId?idWebhookConfig=%3Cstring%3E'
Example Responses
{ "idWebhookConfig": "idWebhookConfig", "webhookConfigName": "webhookConfigName", "description": "description", "idCategory": "", "status": "active", "enabled": true, "targetType": "custom", "url": "url", "headers": { "key": "string" }, "basicAuth": { "username": "username" } }
json
application/json

Find webhook configs by ID list

GET
https://api.funnelflux.pro/v1
/webhookconfig/find/byIds/

Retrieve all webhook configurations with the specified IDs.

Find webhook configs by ID list › query Parameters

idWebhookConfigs
​string · required

Comma-separated webhook config IDs to retrieve

Find webhook configs by ID list › Responses

List of webhook configs with the specified IDs

​WebhookConfigRead[]
WebhookConfigRead
idWebhookConfig
​string · required

ID of the webhook configuration

webhookConfigName
​string · minLength: 1 · maxLength: 256 · required

Webhook config's name.

description
​string
idCategory
​string

Category ID. Empty if uncategorized

Default:
status
​string · enum
Enum values:
active
archived
deleted
Default: active
enabled
​boolean

Whether delivery is enabled for this webhook config

Default: true
targetType
​string · enum
Enum values:
custom
zapier
make
pipedream
n8n
tray_io
ifttt
aws_lambda
Default: custom
url
​string

Absolute webhook destination URL

​object

Additional request headers for webhook delivery

​WebhookBasicAuthRead

Basic auth read model. Password is write-only and never returned by REST read endpoints.

GET/webhookconfig/find/byIds/
curl --request GET \ --url 'https://api.funnelflux.pro/v1/webhookconfig/find/byIds?idWebhookConfigs=%3Cstring%3E'
Example Responses
[ { "idWebhookConfig": "idWebhookConfig", "webhookConfigName": "webhookConfigName", "description": "description", "idCategory": "", "status": "active", "enabled": true, "targetType": "custom", "url": "url", "headers": { "key": "string" }, "basicAuth": { "username": "username" } } ]
json
application/json

Save webhook config

PUT
https://api.funnelflux.pro/v1
/webhookconfig/save/

Update an existing webhook configuration. The id cannot be changed.

Save webhook config › Request Body

WebhookConfig
idWebhookConfig
​string · required

ID of the webhook configuration

webhookConfigName
​string · minLength: 1 · maxLength: 256 · required

Webhook config's name.

description
​string
idCategory
​string

Category ID. Empty if uncategorized

Default:
status
​string · enum
Enum values:
active
archived
deleted
Default: active
enabled
​boolean

Whether delivery is enabled for this webhook config

Default: true
targetType
​string · enum
Enum values:
custom
zapier
make
pipedream
n8n
tray_io
ifttt
aws_lambda
Default: custom
url
​string

Absolute webhook destination URL

​object

Additional request headers for webhook delivery

​WebhookBasicAuth

Save webhook config › Responses

Webhook config updated successfully

No data returned
PUT/webhookconfig/save/
curl --request PUT \ --url https://api.funnelflux.pro/v1/webhookconfig/save \ --header 'Content-Type: application/json' \ --data ' { "idWebhookConfig": "webhook-config-id", "webhookConfigName": "CRM webhook", "description": "Sends flow payloads to the CRM", "status": "active", "enabled": true, "targetType": "custom", "url": "https://example.com/webhook", "headers": { "X-Source": "funnelflux" }, "basicAuth": { "username": "user", "password": "pass" } } '
Example Request Body
{ "idWebhookConfig": "webhook-config-id", "webhookConfigName": "CRM webhook", "description": "Sends flow payloads to the CRM", "status": "active", "enabled": true, "targetType": "custom", "url": "https://example.com/webhook", "headers": { "X-Source": "funnelflux" }, "basicAuth": { "username": "user", "password": "pass" } }
json
Example Responses
No example specified for this content type

Create webhook config

POST
https://api.funnelflux.pro/v1
/webhookconfig/save/

Create a new webhook configuration

Create webhook config › Request Body

WebhookConfig
idWebhookConfig
​string · required

ID of the webhook configuration

webhookConfigName
​string · minLength: 1 · maxLength: 256 · required

Webhook config's name.

description
​string
idCategory
​string

Category ID. Empty if uncategorized

Default:
status
​string · enum
Enum values:
active
archived
deleted
Default: active
enabled
​boolean

Whether delivery is enabled for this webhook config

Default: true
targetType
​string · enum
Enum values:
custom
zapier
make
pipedream
n8n
tray_io
ifttt
aws_lambda
Default: custom
url
​string

Absolute webhook destination URL

​object

Additional request headers for webhook delivery

​WebhookBasicAuth

Create webhook config › Responses

Webhook config created successfully

No data returned
POST/webhookconfig/save/
curl --request POST \ --url https://api.funnelflux.pro/v1/webhookconfig/save \ --header 'Content-Type: application/json' \ --data ' { "idWebhookConfig": "webhook-config-id", "webhookConfigName": "CRM webhook", "description": "Sends flow payloads to the CRM", "status": "active", "enabled": true, "targetType": "custom", "url": "https://example.com/webhook", "headers": { "X-Source": "funnelflux" }, "basicAuth": { "username": "user", "password": "pass" } } '
Example Request Body
{ "idWebhookConfig": "webhook-config-id", "webhookConfigName": "CRM webhook", "description": "Sends flow payloads to the CRM", "status": "active", "enabled": true, "targetType": "custom", "url": "https://example.com/webhook", "headers": { "X-Source": "funnelflux" }, "basicAuth": { "username": "user", "password": "pass" } }
json
Example Responses
No example specified for this content type

Delete webhook config

DELETE
https://api.funnelflux.pro/v1
/webhookconfig/delete/

Delete the specified webhook configuration

Delete webhook config › query Parameters

idWebhookConfig
​string · required

The ID of the webhook config to delete

Delete webhook config › Responses

Webhook config deleted successfully

No data returned
DELETE/webhookconfig/delete/
curl --request DELETE \ --url 'https://api.funnelflux.pro/v1/webhookconfig/delete?idWebhookConfig=%3Cstring%3E'
Example Responses
No example specified for this content type

Duplicate webhook config

POST
https://api.funnelflux.pro/v1
/webhookconfig/duplicate/

Create duplicate of existing webhook configuration.

Duplicate webhook config › query Parameters

idWebhookConfig
​string · required

ID of the webhook config to duplicate.

Duplicate webhook config › Request Body

DuplicateRequest
name
​string · minLength: 1 · maxLength: 256 · required

Name for the new asset

parentId
​string

Optional parent/category ID for the new asset

​object

Optional field overrides to merge into the duplicated asset. Keys are JSON field names (e.g. baseURL, trackingFieldSlots). Protected fields (ID, owner, status) cannot be changed via this field — they are always set by the server after the merge.

Duplicate webhook config › Responses

Webhook config duplicated successfully

DuplicateResponse
id
​string

ID of the newly created asset

POST/webhookconfig/duplicate/
curl --request POST \ --url 'https://api.funnelflux.pro/v1/webhookconfig/duplicate?idWebhookConfig=%3Cstring%3E' \ --header 'Content-Type: application/json' \ --data ' { "name": "name", "parentId": "parentId", "bodyUpdates": {} } '
Example Request Body
{ "name": "name", "parentId": "parentId", "bodyUpdates": {} }
json
Example Responses
{ "id": "id" }
json
application/json

Archive webhook configs

PUT
https://api.funnelflux.pro/v1
/webhookconfig/archive/

Archive the specified webhook configurations.

Archive webhook configs › Request Body

StringList
entries
​string[] · required

Archive webhook configs › Responses

Webhook configs archived successfully

No data returned
PUT/webhookconfig/archive/
curl --request PUT \ --url https://api.funnelflux.pro/v1/webhookconfig/archive \ --header 'Content-Type: application/json' \ --data ' { "entries": [ "entries", "entries" ] } '
Example Request Body
{ "entries": [ "entries", "entries" ] }
json
Example Responses
No example specified for this content type

Unarchive webhook configs

PUT
https://api.funnelflux.pro/v1
/webhookconfig/unarchive/

Restore the specified webhook configurations to active.

Unarchive webhook configs › Request Body

StringList
entries
​string[] · required

Unarchive webhook configs › Responses

Webhook configs unarchived successfully

No data returned
PUT/webhookconfig/unarchive/
curl --request PUT \ --url https://api.funnelflux.pro/v1/webhookconfig/unarchive \ --header 'Content-Type: application/json' \ --data ' { "entries": [ "entries", "entries" ] } '
Example Request Body
{ "entries": [ "entries", "entries" ] }
json
Example Responses
No example specified for this content type

Move webhook configs to category

PUT
https://api.funnelflux.pro/v1
/webhookconfig/move-category/

Move webhook configs to category › Request Body

MoveCategoryRequest
entries
​string[] · required

List of asset IDs to move

idCategory
​string · required

Target category ID (empty string to remove from category)

Move webhook configs to category › Responses

Webhook configs moved successfully

No data returned
PUT/webhookconfig/move-category/
curl --request PUT \ --url https://api.funnelflux.pro/v1/webhookconfig/move-category \ --header 'Content-Type: application/json' \ --data ' { "entries": [ "string" ], "idCategory": "idCategory" } '
Example Request Body
{ "entries": [ "string" ], "idCategory": "idCategory" }
json
Example Responses
No example specified for this content type

AI Node Settings